
#import "RNReactNativeRegexLibrary.h"

@implementation RNReactNativeRegexLibrary

@synthesize bridge = _bridge;

- (dispatch_queue_t)methodQueue
{
    return dispatch_get_main_queue();
}

- (void)deviceDidComeOnline:(GCKDevice *)device {
  NSLog(@"device found!! %@", device.friendlyName);
  [self emitMessageToRN:@"GoogleCast:DeviceAvailable"
                       :@{@"device_available": @YES}];
}

- (void) emitMessageToRN: (NSString *)eventName
                        :(NSDictionary *)params{
  [self.bridge.eventDispatcher sendAppEventWithName: eventName
                                               body: params];
}

RCT_EXPORT_METHOD(startScan)
{
  RCTLogInfo(@"start scan chromecast!");
  // Initialize device scanner.
  dispatch_async(dispatch_get_main_queue(), ^{
    GCKFilterCriteria *filterCriteria =
    [GCKFilterCriteria criteriaForAvailableApplicationWithID: kGCKMediaDefaultReceiverApplicationID];
    self.deviceScanner = [[GCKDeviceScanner alloc] initWithFilterCriteria:filterCriteria];
    [self.deviceScanner addListener:self];
    [self.deviceScanner startScan];
    [self.deviceScanner setPassiveScan:YES];

  });
}
@end
  